
Redmine - Patch #1680

Make version description multiline and textilizable

2008-07-24 14:43 - Artem Vasiliev

Status: New Start date: 2008-07-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Description

Made Version description support Textile markup to be in-sync with Trac milestone description (supporting its Wiki markup).

We needed this for migrating our projects from Trac, and it appears others need it also, e.g. #1256.

Contributed by Texuna Technologies.

Related issues:

Related to Redmine - Feature #656: Roadmap with wiki page New 2008-02-13

Related to Redmine - Defect #1256: redmine:migrate_from_trac doesn't convert ... Closed 2008-05-19 2013-01-22

Has duplicate Redmine - Feature #31618: make version description field rich Closed

History

#1 - 2008-07-24 18:16 - Jean-Philippe Lang

Actually, you can link a wiki page to each version (edit the version and enter wiki page name). This wiki page is displayed on the roadmap.

Example: http://www.redmine.org/projects/roadmap/redmine displays this wiki page: 0 8

Maybe a different and easier approach would be:

remove the limit on the version description field (it looks like your patch doesn't do it)

textilize this description on the roadmap

A migration could automatically move existing wiki pages to version descriptions.

What do think others ?

#2 - 2008-07-24 18:29 - Eric Davis

Jean-Philippe Lang wrote:

What do think others ?

 I like the idea of having the version description be separate from the wiki.  My reason is because someone could edit the wiki and then the Version on

the Roadmap might be completely different.  I tend to give wiki permissions to most people but only a select few are able to plan a project using the

Roadmap.

We can keep a link to the wiki page as more of a community peer driven documentation.  But the description will be the authoritative version.

#3 - 2008-07-24 18:36 - Anna Labinskaya

What do think others ?

 I'm also for longer and formatted descriptions. We've been using descriptions in Trac and found it useful to have a brief summary directly on the

Roadmap and Milestone (Version) pages.

Forcing to have all version descriptions as wiki pages seems a bit too unwieldy to me. While if we had/have long formatted Description field for

versions, then nothing would prevent us from creating one or more pages for larger complex milestones and link them from version description texts if

and where it's needed.

#4 - 2008-08-17 18:20 - Mischa The Evil

Reminder regarding this patch: unlike textilisation in the roadmap-view this doesn't change the version-description in the changelog-view of the

issuelist.

This means that on that view (after applying this patch) the raw data (including the textile-markup) is being shown (so without textilisation).

2025-07-09 1/2

https://www.redmine.org/issues/1256
http://www.redmine.org/projects/roadmap/redmine
https://www.redmine.org/projects/redmine/wiki/0_8


#5 - 2008-08-17 23:05 - Mischa The Evil

Mischa The Evil wrote:

Reminder regarding this patch: unlike textilisation in the roadmap-view this doesn't change the version-description in the changelog-view of the

issuelist.

 Not worth another full patch though I think it's worth mentioning: quoted problem can be solved by modifying the file

../app/views/projects/changelog.rhtml changing

<p><%=h version.description %></p>

 into

<p><%= textilizable version.description %></p>

#6 - 2008-08-19 12:36 - Artem Vasiliev

Mischa The Evil wrote:

Not worth another full patch though I think it's worth mentioning: quoted problem can be solved by modifying the file

../app/views/projects/changelog.rhtml changing ...

 Yeah, really, thanks!

#7 - 2008-09-08 19:31 - Mike Humphreys

Jean-Philippe Lang wrote:

What do think others ?

 A longer, formatted version description which is displayed in the Roadmap would be extremely useful.  As mentioned by Eric & Anna above, achieving

the same with wiki pages does prove problematic.

#8 - 2008-09-09 16:03 - Artem Vasiliev

Mike Humphreys wrote:

A longer, formatted version description which is displayed in the Roadmap would be extremely useful.  As mentioned by Eric & Anna above,

achieving the same with wiki pages does prove problematic.

 Just in case, http://github.com/artemv/redmine_tt/tree/master have it applied.

#9 - 2013-12-17 20:43 - Dipan Mehta

+1. This is very useful.

#10 - 2019-06-25 01:44 - Go MAEDA

- Has duplicate Feature #31618: make version description field rich added

#11 - 2019-06-25 01:46 - Go MAEDA

- Category set to Roadmap

Files

textilizable_version_description.patch 1.54 KB 2008-07-24 Artem Vasiliev
